---
title: unnamed volapük style language
...


What if Volapük didn't see the world
through an extremely 19^th^ century lens?
(And also what if it wasn't trying to be an IAL
so I can put some interesting stuff in there if I want to)

# Phonology

## Vowels

:::figure

                    Front             Back
------------- ----------------- -----------------
         High  `{i ü}` `/i y/`   `{ï u}` `/ɯ u/`
 High central  `{e ö}` `/e ø/`     `{o}` `/o/`
          Low    `{ä}` `/æ/`       `{a}` `/ɑ/`

:::

- You can write `{ü ö ä ï}` as `{ᵫ œ æ ꜵ}` if you want.
  - Lowercase `{ᵫ}` is `U+1D6B`.
    Capital `{}` is not in the unicode standard (yet?), but some specialist
    medievalist fonts, such as [the one I'm using here][Junius], have it in the
    private use area at `U+E8C8` following the
    [[MUFI]]{title="Medieval Unicode Font Initiative"}.
  - `{Œ œ}` are `U+0152` and `U+0153`.
  - `{Æ æ}` are `U+00C6` and `U+00E6`.
  - `{Ꜵ ꜵ}` are `U+A734` and `U+A735`.
- In unstressed syllables,
  high vowels become lax,
  high central vowels become lax low central,
  and `/ɑ/` becomes `[ə]`.
- Word-initially before another vowel,
  `/i y u ɯ/` become `[j ɥ w ɰ]`.
- If, after applying the above rule,
  a vowel follows another,
  an approximant or fricative is inserted
  based on the second vowel:
  <div class=twocol>
    - `[ʝ]` before `/i y/`;
    - `[ɣ]` before `/u ɯ/`;
    - `[j]` before `/e/`;
    - `[w]` before `/ø o/`;
    - `[ʢ]` (approximant) before `/æ ɑ/`.
  </div>
- **TODO** expand this

[Junius]: https://github.com/psb1558/Junicode-New
[MUFI]: https://mufi.info

## Consonants

:::figure

            Labial    Alveolar   Velar, etc
---------- --------- ---------- ------------
   Plosive  `/p b/`   `/t d/`     `/k ɡ/`
 Fricative  `/f v/`    `/s/`       `/h/`
     Nasal   `/m/`     `/n/`
   Lateral             `/l/`

:::

Consonants are all written with the same letter as in IPA.

- An `/s/` becomes `/z/` next to a voiced consonant
  other than `/l v/`.
- `/v/` becomes `[f]` after one of `/s k/`.
- `/n/` becomes `[ŋ]` before `/k ɡ/`.
- `/h/` becomes `[ɣ]` between two vowels.
- `/l/` is velarised when it is
  after a back vowel or `/æ/` and
  either before another consonant or at the end of a word.
  It is palatalised at the end of a word (only) when after a front vowel.
- The sequences `/ks ts/` are written `{x z}`
  when they are not interrupted by a morpheme boundary.
- A `[ʔ]` is inserted between a word ending with a vowel
  and a word beginning with one
  (unless the latter becomes a glide).
  - `{te ob}` `[te ʔob]`; `{ni ob}` `[ni ʔob]`; `{la iäm}` `[lɑ jæm]`\
    **TODO** examples with actual words
- **TODO** expand this


## Phonotactics

This description is written in [EBNF].
Basically, parts in
[\[]{.ebnf-brack}square brackets[\]]{.ebnf-brack}
are optional, and parts in
[{]{.ebnf-brack}braces[}]{.ebnf-brack}
can be repeated (or skipped). A vertical bar
[|]{.ebnf-punc} separates alternatives and a comma
[,]{.ebnf-punc} just indicates a sequence of things.

[EBNF]: https://en.wikipedia.org/wiki/Extended_Backus-Naur_form

:::figure

```ebnf
word = [init cons], ?vowel?, {[inner cons], ?vowel?}, [final cons];

init cons
  = ?consonant?
  | 's', ?plosive?
  | ?plosive?, 'l'
  | 's', ('f' | 'v' | 'l')
  | ('f' | 'v'), 'l'
  | ('p' | 'b' | 'k' | 'ɡ'), 'n'
  | ('t' | 'd' | 'k' | 'ɡ'), 'm'
  | ('kv' | 'gv')
;

inner cons
  = ?consonant?
  | 's', ?consonant? - ('s' | 'h')
  | ['m'], ('p', ['s'], 't' | 'b', ['s'], 'd')
  | ['n'], ('k', ['s'], 't' | 'ɡ', ['s'], 'd')
  | sonorant-plosive, ['s']
  | ['m' | 's'], ('p' | 'b'), 'n'
  | ['n' | 's'], ('k' | 'ɡ'), 'n'
  | ['n' | 's'], ('t' | 'd' | 'k' | 'ɡ'), 'm'
  | ['n' | 's'], ('kv' | 'gv')
;

final cons
  = ?consonant? - ('h' | 's'), ['s']
  | sonorant-plosive, ['s']
  | 's'
;

sonorant-plosive
  = 'm', ('p' | 'b')
  | 'n', ('t' | 'd' | 'k' | 'ɡ')
  | ['l'], ?plosive?
;
```

:::

In most cases a syllable break is between the first and second consonant of a
cluster, but in cases like `/–nk.s–/` it is between the second and third. The
exact rules are:

1. If there is only one consonant, then the break is before it.
2. If there are more than one, then there is at least one consonant either side
   of the break.
3. The cluster after the break is accepted by [init cons]{.ebnf-nt}.
4. As many consonants are placed after the break as possible while still
   following the other rules.

Example words:

:::twocol
- `{aeia}` `/ɑ.e.iˈɑ/` `[ə.je.ʝiˈʢɑ]`
- `{gnolbs}` `/ɡnolbs/` `[ɡnoɫbz]`
- `{bünz}` `/bynts/` `[bynts]`
- `{svihel}` `/sviˈhel/` `[sfɪˈɣelʲ]`
- `{hänxtis}` `/hænkˈstis/` `[hæŋkˈstis]`
:::

- **TODO** real words for examples


# Verbs

Verb stems begin with one or more consonants, and end with exactly one.

- zero prs copula
  - "\<pronoun> is \<noun>" attaches the pronoun (not the verb subject marker)
    to the noun


## Person & number

If the subject and/or [primary] object are pronouns, they are instead marked on
the verb as suffixes.
(**TODO** link to secundativity section)
For first and second person, the subject marker is the pronoun itself, and the
object marker is the pronoun with the initial `{o–}` replaced with `{i–}`. These
vowels change to `{u– ä–}` respectively for the dual or plural. For third person
it is just the vowel with no consonant. In this case, independent third-person
pronouns can be used instead of verb markers if it makes the sentence less
confusing.

:::figure

           `!SG!`     `!DU/PL!`
-------- ---------- -------------
 `!SBJ!`   `{o–}`      `{u–}`
 `!OBJ!`   `{i–}`      `{ä–}`

:::

If the subject or object are a noun phrase other than a single pronoun, they
are not reflected on the verb at all.

:::twocol
- `{böl gelb pülku}` the lizard sees the dog
- `{böl{ob} pülku}` I see the dog
- `{böl{ib} gelb}` the lizard sees me
- `{böl{obit}}` I see you
:::

## Tense & aspect

Verbs have a distinction between past & nonpast, and [imperfective]
& [perfective]. The tense/aspect marker comes directly after the person markers.
blah blah blah

[imperfective]: https://en.wikipedia.org/wiki/Imperfective_aspect
[perfective]: https://en.wikipedia.org/wiki/Perfective_aspect

:::figure

           `!IPFV!`   `!PFV!`
--------- ---------- -----------
 `!NPST!`   `{–}`     `{–n–}`
  `!PST!`   `{–e}`    `{–n–ö}`

:::


For the perfective, an `{n}` is inserted before the last consonant of the stem.
It interacts with the consonant already there in a few ways:

- It is `{m}` before a labial consonant.
- After this new `{n}`/`{m}`, the letters `{f}`, `{v}`, `{l}` become
  `{p}`, `{b}`, `{n}`.
- A double `{nn}` or `{mm}` produced this way is pronounced the same as a
  single one.

:::twocol

- `{pnumob}` I am sleeping/will be sleeping/etc
- `{pnumo{m}b}` I slept/will sleep
- `{pnumob{e}}` I was sleeping
- `{pnumo{m}b{ö}}` I slept

:::


# Nouns

Noun roots end in either a vowel or a consonant other than `{s}`
(or `{x}`/`{z}`). They have no restriction on what they begin with.

- dual number. why not
  - dual is `{–di}` after vowel or just `{–i}` after consonant
  - plural is `{s}` like in v, so nouns don't end in that
- 4–5 cases, but not *those* ones. maybe nom, acc+loc+all, ins+thm, gen+abl
  - acc/loc/all sg is `{-u}`
  - list acc in the table last like people do with latin for some reason
- ~~dechticaetiative~~ secundative
- vocative prefix, probably sth like `{iä–}`.
  - i guess that's a sixth case but i was thinking suffixes for the others
- fuck regularity this isn't an IAL any more
- indefinite article but no definite. maybe from 'this'. maybe a prefix

# Pronouns

Personal pronouns have a distinction between inclusive/exclusive `!(I/E)!` first
person, e.g. `{ov}` means "you and me", but `{om}` means "me and someone else".
The third person singular is listed as `{ok}`, but that is only a default.
People can choose to be referred to with `{o–}` plus any consonant or cluster
that isn't already another pronoun. `{Ok}` is used for strangers or objects, or
for people who just want to be called `{ok}`.

:::figure

           `!1;E!`   `!1;I!`   `!2!`     `!3!`
--------- --------- --------- --------- --------
   `!SG!`  `{ob}`     ---      `{ot}`   `{ok}`
   `!DU!`  `{om}`    `{ov}`    `{ond}`  `{ong}`
   `!PL!`  `{oms}`   `{obs}`   `{oz}`   `{ox}`

:::

**TODO** yes i know this isnt the only type of pronoun obviously

# Word order etc

- VSOX by default but NPs can be shuffled around
- head initial NPs, prepositions [mostly?]
